import { FunctionType, GridToolbarSpecs, SlotDescriptor } from "../types";
declare class GridHelper {
    static generateGridToolbarSpecs(gridArea: Array<Array<string>>, rowHeight?: Array<string> | string, colWidth?: Array<string> | string): {
        rowTools: {
            slots: {
                slot: string;
                gridArea: string;
                row: number;
                column: number;
                rowSpan: number;
                colSpan: number;
                style: {
                    gridArea: string;
                };
            }[];
            gridTemplate: string;
        };
        colTools: {
            slots: {
                slot: string;
                gridArea: string;
                row: number;
                column: number;
                rowSpan: number;
                colSpan: number;
                style: {
                    gridArea: string;
                };
            }[];
            gridTemplate: string;
        };
    };
    static generateGridArea(slots: Array<SlotDescriptor>): Array<Array<string>>;
    static generateGridTemplate(gridArea: Array<Array<string>>, rowHeight?: Array<string> | string, colWidth?: Array<string> | string): string;
    static mergeHandler(setSlots: FunctionType, slotConfigs: Array<SlotDescriptor>, minMaxSelections: {
        minRow: number;
        maxRow: number;
        minColumn: number;
        maxColumn: number;
    }): void;
    static splitHandler(setSlots: FunctionType, slotConfigs: Array<SlotDescriptor>, orientation: "horizontal" | "vertical"): void;
    static removeHandler(slotConfigs: Array<SlotDescriptor>, gridToolbarSpecs: GridToolbarSpecs, type: string): Array<SlotDescriptor>;
    static checkIfAdjacent(slotConfigs: Array<SlotDescriptor>): {
        areAdjacent: boolean;
        minRow: number;
        maxRow: number;
        minColumn: number;
        maxColumn: number;
    };
    static selectCellsInSelectedRowCol(gridToolbarSpecs: GridToolbarSpecs, slots: Array<SlotDescriptor>): SlotDescriptor[];
    static countOccurrences(array: Array<string>): {
        slotId: string;
        span: number;
        location: number;
    }[];
    static insertDimension(type: "row" | "column", gridToolbarSpecs: GridToolbarSpecs, slots: Array<SlotDescriptor>, setSlots: FunctionType): void;
    static generateSlots(rows: Array<string>): Array<SlotDescriptor>;
    static generateSlotConfigs(gridTemplate: string): {
        slotConfigs: Array<SlotDescriptor>;
        rowHeights: Array<string>;
        colWidths: Array<string>;
    };
}
export default GridHelper;
